import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    path: '/', // 贷款介绍
    name: 'Home',
    component: () => import(/* webpackChunkName: "home" */ '../views/home/index.vue')
  },
  {
    path: '/apply', // 基本信息填写
    name: 'Apply',
    component: () => import(/* webpackChunkName: "apply" */ '../views/apply/index.vue')
  },
  {
    path: '/record', // 我的申请记录
    name: 'Record',
    component: () => import(/* webpackChunkName: "record" */ '../views/record/index.vue'),
    meta: {
      isUseCache: false,
      keepAlive: true
    }
  },
  {
    path: '/detail', // 进度查询：贷款详情页
    name: 'Detail',
    component: () => import(/* webpackChunkName: "detail" */ '../views/detail/index.vue')
  },
  {
    path: '/attest', // 上传资料
    name: 'Attest',
    component: () => import(/* webpackChunkName: "attest" */ '../views/attest/index.vue')
  },
  {
    path: '/bespeak', // 预约现场办理时间
    name: 'Bespeak',
    component: () => import(/* webpackChunkName: "bespeak" */ '../views/bespeak/index.vue')
  },
  {
    path: '/privacy', // 隐私协议
    name: 'Privacy',
    component: () => import(/* webpackChunkName: "privacy" */ '../views/privacy/index.vue')
  },
  {
    path: '/agreement', // 协议
    name: 'Agreement',
    component: () => import(/* webpackChunkName: "agreement" */ '../views/agreement/index.vue')
  },
  {
    path: '/help', // 还款助手
    name: 'Help',
    component: () => import(/* webpackChunkName: "help" */ '../views/help/index.vue')
  },
  {
    path: '/about', // 了解我们
    name: 'About',
    component: () => import(/* webpackChunkName: "about" */ '../views/about/index.vue')
  }
]

const router = new VueRouter({
  mode: 'history',
  routes,
  scrollBehavior (to, from, savedPosition) {
    // keep-alive 返回缓存页面后记录浏览位置
    if (savedPosition && to.meta.keepAlive) {
      return savedPosition
    }
    // 异步滚动操作
    return new Promise((resolve) => {
      setTimeout(() => {
        resolve({ x: 0, y: 1 })
      }, 0)
    })
  }
})

export default router
